[android-components](../../index.md) / [mozilla.components.service.glean.private](../index.md) / [MemoryUnit](./index.md)

# MemoryUnit

`enum class MemoryUnit` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/private/MemoryUnit.kt#L12)

Enumeration of different resolutions supported by the MemoryDistribution metric type.

These use the power-of-2 values of these units, that is, Kilobyte is pedantically a Kibibyte.

### Enum Values

| Name | Summary |
|---|---|
| [Byte](-byte.md) |  |
| [Kilobyte](-kilobyte.md) |  |
| [Megabyte](-megabyte.md) |  |
| [Gigabyte](-gigabyte.md) |  |
